<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:jaxrs="http://cxf.apache.org/jaxrs-client" xmlns:http="http://cxf.apache.org/transports/http/configuration"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://cxf.apache.org/jaxrs-client http://cxf.apache.org/schemas/jaxrs-client.xsd
                        http://cxf.apache.org/transports/http/configuration http://cxf.apache.org/schemas/configuration/http-conf.xsd" >

	<import resource="classpath*:/spring/ge-core-web-cxf-client-config.xml"/>

	<http:conduit
		name="{http://webservice.authentification.ct.ge.fr/}IAccountRestService.http-conduit">
		<http:client ConnectionTimeout="${ct.authentification.webservice.timeout.connect:1000}"
			ReceiveTimeout="${ct.authentification.webservice.timeout.receive:3000}" />
	</http:conduit>

	<bean id="httpResponseInterceptor"
		class="fr.ge.ct.authentification.interceptor.HTTPResponseInterceptor" />

	<jaxrs:client id="accountRestService" address="${ct.authentification.webservice.url}"
		serviceClass="fr.ge.ct.authentification.webservice.IAccountRestService">
		<jaxrs:headers>
			<entry key="Accept" value="application/json" />
		</jaxrs:headers>
		<jaxrs:inInterceptors><ref bean="httpResponseInterceptor" /></jaxrs:inInterceptors>
		<jaxrs:providers>
			<ref bean="classicJaxbJsonProvider" />
			<bean id="proxyResponseExceptionMapper" class="fr.ge.core.rest.SimpleCxfResponseExceptionMapper">
				<property name="exceptionClass"
					value="fr.ge.core.exception.TechniqueRuntimeException" />
			</bean>
		</jaxrs:providers>	
	</jaxrs:client>

	<bean id="authentificationFacade" class="fr.ge.ct.authentification.facade.impl.AccountFacadeImpl">
		<property name="accountRestService" ref="accountRestService" />
	</bean>

</beans>
